package com.ruoyi.ibs.app.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.ibs.app.domain.QYUserDTO;
import com.ruoyi.ibs.app.domain.QYUserDetailDTO;
import com.ruoyi.ibs.app.util.JsonResult;

public interface WeiXinService {

    JsonResult<QYUserDTO> getQYUser(String code,String appId,String secret,String orgId);

    JsonResult<QYUserDetailDTO> getQYUserDetail(QYUserDTO data);

    JsonResult getTicketVo2(String qyUrl,String orgId);

    AjaxResult getIp(String orgId);
}
